org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoPool.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoPool.Builder

- Enclosing class:
    GryoPool

      public static class GryoPool.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GryoPool` | `create()` Create the `GryoPool` from this builder.
    `GryoPool.Builder` | `initializeMapper(Consumer<GryoMapper.Builder> gryoMapperConsumer)` A consumer to update the `GryoMapper.Builder` once constructed.
    `GryoPool.Builder` | `ioRegistries(List<Object> ioRegistryClassNames)` The `IoRegistry` class names to use for the `GryoPool`
    `GryoPool.Builder` | `ioRegistry(Object ioRegistryClassName)` The `IoRegistry` class name to use for the `GryoPool`
    `GryoPool.Builder` | `poolSize(int poolSize)` The size of the `GryoPool`.
    `GryoPool.Builder` | `type(GryoPool.Type type)` The type of `GryoPool` to support -- see `Type`
    `GryoPool.Builder` | `version(GryoVersion version)` Set the version of Gryo to use for this pool.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### version

          public GryoPool.Builder version(GryoVersion version)

      Set the version of Gryo to use for this pool.

    - #### ioRegistries

          public GryoPool.Builder ioRegistries(List<Object> ioRegistryClassNames)

      The `IoRegistry` class names to use for the `GryoPool`
      Parameters:
        `ioRegistryClassNames` - a list of class names
      Returns:
        the update builder

    - #### ioRegistry

          public GryoPool.Builder ioRegistry(Object ioRegistryClassName)

      The `IoRegistry` class name to use for the `GryoPool`
      Parameters:
        `ioRegistryClassName` - a class name
      Returns:
        the update builder

    - #### poolSize

          public GryoPool.Builder poolSize(int poolSize)

      The size of the `GryoPool`. The size can not be changed once created.
      Parameters:
        `poolSize` - the pool size
      Returns:
        the updated builder

    - #### type

          public GryoPool.Builder type(GryoPool.Type type)

      The type of `GryoPool` to support -- see `Type`
      Parameters:
        `type` - the pool type
      Returns:
        the updated builder

    - #### initializeMapper

          public GryoPool.Builder initializeMapper(Consumer<GryoMapper.Builder> gryoMapperConsumer)

      A consumer to update the `GryoMapper.Builder` once constructed.
      Parameters:
        `gryoMapperConsumer` - the `GryoMapper.Builder` consumer
      Returns:
        the updated builder

    - #### create

          public GryoPool create()

      Create the `GryoPool` from this builder.
      Returns:
        the new pool

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.